Subject: Re: [PATCH v7] describe: refresh the index when 'broken' flag is used

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Jul 2024 12:06:44 -0700

Karthik Nayak <[email-masked]> writes:

> This explains for why 'broken' must use a subprocess, but there is
> nothing stopping 'dirty' from also using a subprocess, right? It
> currently uses an in-process index refresh but it _could_ be a
> subprocess too.

Correct, except that it does not make sense to do any and all things
that you _could_ do.  So...